> For the complete documentation index, see [llms.txt](https://api.beacon.li/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.beacon.li/beacon-usage/beacon-usage-overview.md).

# Beacon Usage - Overview

#### Importing beacon

import the beacon module in the same way as in a regular JavaScript environment:

```
import { Beacon } from '@beacon.li/bar';
```

Loading Beacon

To load beacon in your application, use the `Beacon.load` method and pass your organization ID as a parameter. Replace `'ORG_ID'` with your actual organization ID:

```
Beacon.load('ORG_ID');
```

If you want to use a \<script> tag instead, then you can try as below. Replace your ORG\_ID with your actual organization ID

{% code lineNumbers="true" fullWidth="true" %}

```
<script>
(function(b,e,a,c,o,n) {b[c] = {orgId:n, open:()=>{b[c].opened=true}};
  var s = e.createElement(a);
  s.src='https://cdn.beacon.li/sdk/latest.js';s.async=true;s.type='module';
  var d = e.createElement(o);
  d.id='beacon-user';
  e.body.appendChild(d);
  e.head.appendChild(s);
})(window, document, 'script', 'BeaconBar', 'div','ORG_ID');
</script>
```

{% endcode %}

To get your organization ID, go to beacon dashboard, open beacon bar using CMD/Ctrl + K and search for 'Copy Org ID'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.beacon.li/beacon-usage/beacon-usage-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
